package domain


type AlibabaWdkSupplierOrderGetOrderListSyncPagedResult struct {
    /*
        返回订单总数量     */
    TotalNumber  *int64 `json:"total_number,omitempty" `

    /*
        returnMsg     */
    ReturnMsg  *string `json:"return_msg,omitempty" `

    /*
        returnCode     */
    ReturnCode  *string `json:"return_code,omitempty" `

    /*
        orders     */
    Orders  *[]AlibabaWdkSupplierOrderGetOrderSyncDto `json:"orders,omitempty" `

    /*
        success     */
    Success  *bool `json:"success,omitempty" `

}

func (s *AlibabaWdkSupplierOrderGetOrderListSyncPagedResult) SetTotalNumber(v int64) *AlibabaWdkSupplierOrderGetOrderListSyncPagedResult {
    s.TotalNumber = &v
    return s
}
func (s *AlibabaWdkSupplierOrderGetOrderListSyncPagedResult) SetReturnMsg(v string) *AlibabaWdkSupplierOrderGetOrderListSyncPagedResult {
    s.ReturnMsg = &v
    return s
}
func (s *AlibabaWdkSupplierOrderGetOrderListSyncPagedResult) SetReturnCode(v string) *AlibabaWdkSupplierOrderGetOrderListSyncPagedResult {
    s.ReturnCode = &v
    return s
}
func (s *AlibabaWdkSupplierOrderGetOrderListSyncPagedResult) SetOrders(v []AlibabaWdkSupplierOrderGetOrderSyncDto) *AlibabaWdkSupplierOrderGetOrderListSyncPagedResult {
    s.Orders = &v
    return s
}
func (s *AlibabaWdkSupplierOrderGetOrderListSyncPagedResult) SetSuccess(v bool) *AlibabaWdkSupplierOrderGetOrderListSyncPagedResult {
    s.Success = &v
    return s
}
